List Sensors
Get a list of all the registered sensors.
Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the offset and the page_size options to request a particular set or page of items.
Number of records to be returned in the API request from the provided offset
True, if the list of records returned need to be sorted in ascending order, false otherwise.
The parameter name on which to sort the list of records. Only top-level parameters in the returned list of records will be supported. If not provided, system will define the parameter by which results are sorted.
Use this request parameter to filter by display name.
sensor
OK
{
"number_of_results": 1,
"offset": -1,
"results": [
{
"_create_time": 1777886290727,
"_create_user": "ndr-sensor",
"_last_modified_time": 1777886291403,
"_revision": 1,
"algorithm": "RSA",
"certificate": "-----BEGIN CERTIFICATE----- xxxxx -----END CERTIFICATE-----",
"description": "Token for ndr sensor",
"display_name": "sensor",
"id": "8c147e21-7410-4f77-a3a6-e7aa6034992f",
"key_size": 3072,
"pem_encoded": "xxxxx",
"token_id": "793a8565-0ff9-4340-a154-a9eecddbdd2e"
}
],
"total_pages": 1,
"total_result_count": 1
}
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Error
{
"error_code": 0,
"module_name": "sensor",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
This operation contains the following vendor extensions defined in the spec:
["platform-sensor-all"]
curl -H 'Authorization: <value>' https://{api_host}/sensors/appliances